Skip to main content
GET
/
webhooks
/webhooks
curl --request GET \
  --url https://api.daily.co/v1/webhooks \
  --header 'Authorization: Bearer <token>'
[
  {
    "url": "<string>",
    "uuid": "<string>",
    "hmac": "<string>",
    "basicAuth": "<string>",
    "eventTypes": [],
    "state": "<string>",
    "failedCount": 123,
    "lastMomentPushed": "<string>",
    "domainId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200

url
string
required

The webhook server endpoint that was provided.

uuid
string

The unique identifier for this webhook.

hmac
string

A secret that can be used to verify the signature of the webhook.

basicAuth
string

The basic auth credentials that will be used to POST to the webhook URL.

retryType
enum<string>

The retry configuration for this webhook endpoint to use. The default is circuit-breaker.

Available options:
circuit-breaker,
exponential
eventTypes
enum<string>[]

The set of event types this webhook is subscribed to.

Available options:
recording.ready-to-download,
recording.started,
recording.error,
streaming.started,
streaming.updated,
streaming.ended,
streaming.error,
meeting.started,
meeting.ended,
participant.joined,
participant.left,
waiting-participant.joined,
waiting-participant.left,
batch-processor.job-finished,
batch-processor.error,
dialout.connected,
dialout.error,
dialout.stopped,
dialout.warning,
dialout.answered,
dialin.ready,
dialin.connected,
dialin.error,
dialin.stopped,
dialin.warning,
transcript.ready-to-download,
transcript.started,
transcript.error,
calltransfer.triggered,
calltransfer.initiated,
calltransfer.answered,
calltransfer.completed
state
string

The current state of the webhook. "FAILED" | "INACTIVE"

failedCount
number

The number of consecutive failures this webhook has made.

lastMomentPushed
string

The ISO 8601 time of the last moment an event was pushed to the webhook server.

domainId
string

The domain ID this webhook is associated with.

createdAt
string

The ISO 8601 time of when this webhook was created.

updatedAt
string

The ISO 8601 time of when this webhook was last updated.